libzypp: zypp::repo::RepoMediaAccess::Impl Class Reference

libzypp 17.25.10

Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
zypp::repo::RepoMediaAccess::Impl Class Reference

## Public Member Functions
| Impl (const ProvideFilePolicy &defaultPolicy_r)
| ~Impl ()
shared_ptr< MediaSetAccess > | mediaAccessForUrl (const Url &url, RepoInfo repo)
| Provide a MediaSetAccess for `url` with label and verifyer adjusted. More...

## Public Attributes
ProvideFilePolicy | _defaultPolicy

## Private Member Functions
void | setVerifierForRepo (RepoInfo repo, shared_ptr< MediaSetAccess > media)

## Private Attributes
std::map< shared_ptr< MediaSetAccess >, RepoInfo > | _verifier
std::map< Url, shared_ptr< MediaSetAccess > > | _medias

## Detailed Description

Definition at line 121 of file RepoProvideFile.cc.

## Constructor & Destructor Documentation

## ◆ Impl()

zypp::repo::RepoMediaAccess::Impl::Impl | ( | const ProvideFilePolicy & | defaultPolicy_r | ) |
| inline

Definition at line 124 of file RepoProvideFile.cc.

## ◆ ~Impl()

zypp::repo::RepoMediaAccess::Impl::~Impl | ( |  | ) |
| inline

Definition at line 128 of file RepoProvideFile.cc.

## Member Function Documentation

## ◆ mediaAccessForUrl()

shared_ptr<MediaSetAccess> zypp::repo::RepoMediaAccess::Impl::mediaAccessForUrl | ( | const Url & | url,
|  | RepoInfo | repo
| ) |  |
| inline

Provide a MediaSetAccess for `url` with label and verifyer adjusted.

As the same url (e.g. `'dvd:///'` ) might be used for multiple repos we must always adjust the repo specific data (label,verifyer).

Todo:
  This mixture of media and repos specific data is fragile.

Definition at line 146 of file RepoProvideFile.cc.

## ◆ setVerifierForRepo()

void zypp::repo::RepoMediaAccess::Impl::setVerifierForRepo | ( | RepoInfo | repo,
|  | shared_ptr< MediaSetAccess > | media
| ) |  |
| inlineprivate

Definition at line 165 of file RepoProvideFile.cc.

## Member Data Documentation

## ◆ _verifier

std::map<shared_ptr<MediaSetAccess>, RepoInfo> zypp::repo::RepoMediaAccess::Impl::_verifier
| private

Definition at line 213 of file RepoProvideFile.cc.

## ◆ _medias

std::map<Url, shared_ptr<MediaSetAccess> > zypp::repo::RepoMediaAccess::Impl::_medias
| private

Definition at line 214 of file RepoProvideFile.cc.

## ◆ _defaultPolicy

ProvideFilePolicy zypp::repo::RepoMediaAccess::Impl::_defaultPolicy

Definition at line 217 of file RepoProvideFile.cc.

The documentation for this class was generated from the following file:

- zypp/repo/RepoProvideFile.cc